import { ActiveRecord } from '@oinone/kunlun-engine';
import { CallChaining } from '@oinone/kunlun-shared';
import { BaseElementWidget } from './token';
import { QueryExpression } from './types';
export declare class BaseSearchWidget extends BaseElementWidget {
    protected defaultAllInvisible: boolean;
    protected parentCols: number | undefined;
    get cols(): number;
    protected searchBody: ActiveRecord | undefined;
    protected searchConditions: QueryExpression[] | undefined;
    flushSearchParameters: ((searchBody: any, searchConditions?: any) => void) | undefined;
    /**
     * 挂载时
     * @protected
     */
    protected mountedCallChaining: CallChaining | undefined;
    /**
     * 刷新时
     * @protected
     */
    protected refreshCallChaining: CallChaining<boolean> | undefined;
    protected defaultSearchBody: ActiveRecord | undefined;
    protected defaultSearchCondition: QueryExpression[] | undefined;
    get formData(): ActiveRecord;
    onSearch(): void;
    onReset(): Promise<void>;
    protected $$mounted(): void;
    protected $$unmounted(): void;
}
